# Backups and archives

## Get list of backups & archives

> Returns a paginated list of backup and archive jobs with customizable page size. You can also select backup/archive types, date range, order, and sort field.

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"PaginatedDto":{"type":"object","properties":{"total":{"type":"number","description":"Total number of entities."},"items":{"type":"array","items":{"type":"string"}}},"required":["total","items"]},"FindBackupsResponseDto":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string","description":"Backup or archive name."},"jobId":{"type":"number"},"jobStatus":{"type":"string","enum":["In Progress","Exception","Completed","Aborted"]},"startedDate":{"format":"date-time","type":"string"},"duration":{"type":"string"},"size":{"type":"number"},"records":{"type":"number"},"operationType":{"type":"string","enum":["Templated Archive","Templated Backup","Composite Backup","Composite & Sync Backup","Import Archive","Import Backup"]}},"required":["id","name","jobId","jobStatus","startedDate","duration","size","records","operationType"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}/backups":{"get":{"operationId":"BackupsController_findAll","summary":"Get list of backups & archives","description":"Returns a paginated list of backup and archive jobs with customizable page size. You can also select backup/archive types, date range, order, and sort field.","parameters":[{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}},{"name":"search","required":false,"in":"query","description":"Search term (max 80)","schema":{"type":"string"}},{"name":"page","required":true,"in":"query","description":"Number of page (min 1)","schema":{"type":"number"}},{"name":"limit","required":true,"in":"query","description":"Limit of entities per page (min 1, max 2000)","schema":{"type":"number"}},{"name":"types","required":true,"in":"query","schema":{"type":"array","items":{"type":"string","enum":["full","full & sync","template","archive"]}}},{"name":"statuses","required":true,"in":"query","schema":{"type":"array","items":{"type":"string","enum":["In Progress","Exception","Completed","Aborted"]}}},{"name":"isIncludeMetadata","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"startedDate","required":false,"in":"query","schema":{"type":"string"}},{"name":"endDate","required":false,"in":"query","schema":{"type":"string"}},{"name":"sortBy","required":false,"in":"query","schema":{"enum":["jobId","name","startedDate"],"type":"string"}},{"name":"order","required":false,"in":"query","schema":{"enum":["ASC","DESC"],"type":"string"}}],"responses":{"200":{"description":"Returns a paginated list of Backups & Archives","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedDto"},{"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/FindBackupsResponseDto"}}}}]}}}},"400":{"description":"Incorrect request data is provided. For example, startedDate isn't a valid ISO 8601 date string","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}}},"tags":["Backups and archives"]}}}}
```

## Create backup

> Creates a backup job. You must use one of the supported backup types: full or template. The \`templateId\` parameter is optional and should only be provided for template backups

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"CreateBackupBodyDto":{"type":"object","properties":{"name":{"type":"string","description":"Backup or archive name."},"description":{"type":"string"},"settings":{"$ref":"#/components/schemas/BackupSettingsDto"},"mode":{"type":"string","enum":["full","template"]}},"required":["name","description","settings","mode"]},"BackupSettingsDto":{"type":"object","properties":{"isIncludeMetadata":{"type":"boolean"},"isIncludeBinaryObjects":{"type":"boolean"},"isIncludeBigObjects":{"type":"boolean"},"isIncludeFeedObjects":{"type":"boolean"},"isIncludeShareObjects":{"type":"boolean"},"isIncludeHistoryObjects":{"type":"boolean"},"isIncludeCustomMetadataTypeObjects":{"type":"boolean"},"isIncludeTagObjects":{"type":"boolean"},"templateId":{"type":"number"}},"required":["isIncludeMetadata","isIncludeBinaryObjects","isIncludeBigObjects","isIncludeFeedObjects","isIncludeShareObjects","isIncludeHistoryObjects","isIncludeCustomMetadataTypeObjects","isIncludeTagObjects"]},"CreateBackupResponseDto":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]},"ConflictExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}/backups/backup":{"post":{"operationId":"BackupsController_createBackup","summary":"Create backup","description":"Creates a backup job. You must use one of the supported backup types: full or template. The `templateId` parameter is optional and should only be provided for template backups","parameters":[{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBackupBodyDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBackupResponseDto"}}}},"400":{"description":"Invalid request data provided. Examples: unsupported mode selected, or numeric values in name/description fields","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}},"409":{"description":"Backup job is already running. You must abort it or wait for it to finish before creating another","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictExceptionDto"}}}}},"tags":["Backups and archives"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flosum.com/api/api-de/sicherungs-and-archiv-api/backups-and-archives.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
